
<template>
<div id="content">
  <h1>Inicio de sesión</h1>

  <label>Usuario</label>
  <input placeholder="Introduzca su nombre de usuario" v-model="username">  
  <label>Contraseña</label>
  <input placeholder="Introduzca su contraseña" v-model="password">   
  <button v-on:click="submit">Ingresar</button>
  <label v-html="message" class="error"></label>

</div>
</template>

<style scoped>
  div#content {
    background-color: whitesmoke;
    padding: 8px;
  }
</style>
<script>
/**
 * @copyright       T-Systems México S.A. de C.V
 * @description     Home
 * @author          Roberto Pérez Guzmán
 * @creationDate    30 de septiembre del 2020
 */

let self = null;

export default {
 data() {
    self = this;
    return {
      username: 'admin',
      password:'Octubre2020.',
      message: ''
    }
  },
  methods: {
    submit: () => {
      let { username, password, $router } = self
      let payload = { username, password, $router }
      self.$store.dispatch('auth/signIn', payload).catch(error => {
        console.log(error)
        self.showMessage(error.message);
      })
    },
    showMessage: (message) => {
        self.message = message;
        if (self.messageFn){
          clearTimeout(self.messageFn);
          self.messageFn = null
        }
        self.messageFn = setTimeout( ()=> { self.message = ""; }, 5000)
    }
  }  
  
};
</script>
